/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */
package com.bonus.sharedstation.app.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.domain.TherapyAppointments;
import com.bonus.sharedstation.app.dto.TherapyAppointmentsDTO;

/**
 * 汽车服务 Service
 *
 * @author zhh
 * @date 2024-11-15
 */
public interface ITherapyAppointmentsService extends IService<TherapyAppointments> {


    /**
     * 汽车服务
     *
     * @return 操作影响行数
     */
    AjaxResult insert(TherapyAppointments dto);


    /**
     * 更新
     */
    AjaxResult updateInfoById(TherapyAppointments dto);

//

    /**
     * 删除汽车服务
     *
     * @param
     * @return 操作影响行数
     */
    AjaxResult delete(TherapyAppointments dto);
//

    /**
     * 分页查询列表
     *
     * @param
     * @return
     */
    AjaxResult getListPage(TherapyAppointmentsDTO dto);

    /**
     * app
     *
     * @param dto
     * @return
     */
    AjaxResult getListPageApp(TherapyAppointmentsDTO dto);


    AjaxResult selectAll(TherapyAppointments dto);


    /**
     * 详情
     *
     * @param
     * @return
     */
    AjaxResult selectInfoById(TherapyAppointments dto);

    AjaxResult selectByDate(TherapyAppointments dto);

    AjaxResult selectDirCode(TherapyAppointments dto);
}
